## org.eclipse.ocl
Class InvalidLookupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ocl.ParserException
                  org.eclipse.ocl.SemanticException
                      org.eclipse.ocl.LookupException
                          org.eclipse.ocl.InvalidLookupException

All Implemented Interfaces:
  Serializable

    public class InvalidLookupException

extends LookupException

A specialized `LookupException` denoting specifically that the problem is a single result that is invalid or otherwise unexpected.

Since:
  1.2
See Also:
  `getInvalidMatch()`, Serialized Form

Constructor Summary
`InvalidLookupException(String msg, Object match)` Initializes me with a user-friendly message describing the nature of the lookup that resulted in an unexpected match.

Method Summary
`Object` `getInvalidMatch()` Obtains the invalid result of the look-up, or `null` if the look-up found no matches or multiple ambiguous matches.

Methods inherited from class org.eclipse.ocl.LookupException
`getAmbiguousMatches, getMatches`

Methods inherited from class org.eclipse.ocl.ParserException
`getDiagnostic`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidLookupException

    public InvalidLookupException(String msg,
                                  Object match)

  Initializes me with a user-friendly message describing the nature of the lookup that resulted in an unexpected match.

  Parameters:
    `msg` - the exception message
    `match` - the invalid object found by the lookup

Method Detail

### getInvalidMatch

    public Object getInvalidMatch()

  Obtains the invalid result of the look-up, or `null` if the look-up found no matches or multiple ambiguous matches.

  Returns:
    the invalid look-up result, or `null` if the look-up problem was not a matter of finding an invalid result
  See Also:
    `LookupException.getAmbiguousMatches()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.